Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.kernel.typed
Class DoubleGaussL2

    java.lang.Object
      fr.lip6.kernel.Kernel<double[]>
          fr.lip6.kernel.typed.DoubleGaussL2

All Implemented Interfaces:
  java.io.Serializable

    public class DoubleGaussL2

extends Kernel<double[]>

Gaussian Kernel on double[] that uses a L2 distance.

Author:
  dpicard
See Also:
  Serialized Form

Field Summary

Fields inherited from class fr.lip6.kernel.Kernel
`name`

Constructor Summary
`DoubleGaussL2()`

Method Summary
`double` | `getGamma()`
`void` | `setGamma(double gamma)`
`double` | `valueOf(double[] t1)` kernel similarity to zero
`double` | `valueOf(double[] t1, double[] t2)` compute the kernel similarity between two element of input space

Methods inherited from class fr.lip6.kernel.Kernel
`getKernelMatrix, getNormalizedKernelMatrix, normalizedValueOf, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleGaussL2

    public DoubleGaussL2()

Method Detail

### valueOf

    public double valueOf(double[] t1,
                          double[] t2)

  Description copied from class: `Kernel`
  compute the kernel similarity between two element of input space

  Specified by:
    `valueOf` in class `Kernel<double[]>`
  Parameters:
    `t1` - first element
    `t2` - second element
  Returns:
    the kernel value

### valueOf

    public double valueOf(double[] t1)

  Description copied from class: `Kernel`
  kernel similarity to zero

  Specified by:
    `valueOf` in class `Kernel<double[]>`
  Parameters:
    `t1` - the element to compute the similarity to zero

### getGamma

    public double getGamma()

  Returns:
    the sigma

### setGamma

    public void setGamma(double gamma)

  Parameters:
    `gamma` - inverse of std dev parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD